import { OnesTable } from '../../../../../../@ones-table/common';
import { SpinEditItem } from '../common/spin-edit-item';
import { Closeable, CommandItemState } from '../../../types';
import { CommandBar } from '../../../command-bar';
import './column-width-item.scss';
export declare class ColumnWidthItem extends SpinEditItem {
    private closeable;
    states?: CommandItemState[] | undefined;
    constructor(table: OnesTable, closeable: Closeable);
    updateState(bar?: CommandBar): void;
    handleClickItem(): void;
}
